Package net.sf.saxon.resource

## Class XmlResource

- java.lang.Object
- - net.sf.saxon.resource.XmlResource

- All Implemented Interfaces:
    `Resource`

      public class XmlResource
      extends java.lang.Object
      implements Resource

  The class is an implementation of the generic Resource object (typically an item in a collection) representing an XML document

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ResourceFactory` | `FACTORY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XmlResource​(Configuration config, NodeInfo doc)` | Create an XML resource using a specific node.
    `XmlResource​(Configuration config, AbstractResourceCollection.InputDetails details)` |
    `XmlResource​(NodeInfo doc)` | Create an XML resource using a specific node

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContentType()` | Get the media type (MIME type) of the resource if known
    `Item` | `getItem​(XPathContext context)` | Get an item representing the resource: in this case a document node for the XML document.
    `java.lang.String` | `getResourceURI()` | Get a URI that identifies this resource

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FACTORY

          public static final ResourceFactory FACTORY

  - ### Constructor Detail

    - #### XmlResource

          public XmlResource​(NodeInfo doc)

      Create an XML resource using a specific node
      Parameters:
        `doc` - the node in question (usually but not necessarily a document node)

    - #### XmlResource

          public XmlResource​(Configuration config,
                             NodeInfo doc)

      Create an XML resource using a specific node. (Method retained for backwards compatibility).
      Parameters:
        `config` - the Saxon Configuration. This must be the configuration to which the node belongs.
        `doc` - the node in question (usually but not necessarily a document node)

    - #### XmlResource

          public XmlResource​(Configuration config,
                             AbstractResourceCollection.InputDetails details)

  - ### Method Detail

    - #### getResourceURI

          public java.lang.String getResourceURI()

      Description copied from interface: `Resource`
      Get a URI that identifies this resource
      Specified by:
        `getResourceURI` in interface `Resource`
      Returns:
        a URI identifying this resource

    - #### getItem

          public Item getItem​(XPathContext context)
                       throws XPathException

      Get an item representing the resource: in this case a document node for the XML document.
      Specified by:
        `getItem` in interface `Resource`
      Parameters:
        `context` - the XPath evaluation context
      Returns:
        the document; or null if there is an error and the error is to be ignored
      Throws:
        `XPathException` - if (for example) XML parsing fails

    - #### getContentType

          public java.lang.String getContentType()

      Get the media type (MIME type) of the resource if known
      Specified by:
        `getContentType` in interface `Resource`
      Returns:
        the string "application/xml"